// packageC/entry_orders/volume_detail/volume_detail.js
const app  =  getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    language: '',
    selected: '0',
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      mid : options.id
    });
    this.getData(this.data.selected,this.data.mid);
  },
  swichTabTItem(e) {
    this.setData({
      selected: e.detail.index,
      info:''
    });
    this.getData(this.data.selected,this.data.mid);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync('langIndex');
    this.setData({ 'language': language.en});
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var that = this;
    console.log(that.data.current_page);
    console.log(that.data.last_page);
    if(that.data.current_page < that.data.last_page){
      wx.showLoading({
        title: '加载中',
        mask: true,
      });
      that.setData({
        page:that.data.page+1
      });
      // console.log(that.data.page)
      that.getNext(this.data.selected);
    }else{
      wx.showToast({
        title: '没有更多',
        icon: 'none'
      });
    }
  },
  getNext(selected,mid){
    let that = this;
    let _url  = "";
    if (selected == "0") {
      _url  = "plugin.pending-order.frontend.member-wholesale.used-log";
    } else if (selected == "1") {
      _url  = "plugin.pending-order.frontend.member-wholesale.used-hang-log";
    } else if (selected == "2") {
      _url  = "plugin.pending-order.frontend.member-wholesale.self-used-log";
    }
    var urlStr = app.getNetAddresss(_url);
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page,
        mw_id:mid
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          if(res.data.current_page > res.data.last_page){
            wx.hideLoading();
            wx.showToast({
              title: '没有更多',
              icon: 'none'
            });
            that.setData({
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
            return;
          }else{
            wx.hideLoading();
            that.setData({
              info: that.data.info.concat(res.data.data),
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
          }
        }else{
          console.log('请求失败');
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData(selected,mid) {
    let that = this;
    let _url  = "";
    if (selected == "0") {
      _url  = "plugin.pending-order.frontend.member-wholesale.used-log";
    } else if (selected == "1") {
      _url  = "plugin.pending-order.frontend.member-wholesale.used-hang-log";
    } else if (selected == "2") {
      _url  = "plugin.pending-order.frontend.member-wholesale.self-used-log";
    }
    var urlStr = app.getNetAddresss(_url);
    app._getNetWork({
      url: urlStr,
      data:{
        page:this.data.page,
        mw_id:mid
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          that.setData({
            info:res.data.data,
            current_page: res.data.current_page,
            last_page: res.data.last_page
          });
        }else{
          console.log('请求失败');
        }
        if(res.result == 0){
          that.setData({
            info:false
          });
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
});